package main

import (
	"flag"

	"github.com/BurntSushi/toml"
)

type Config struct {
	Listen   string `toml:"listen"`
	Receiver string `toml:"receiver"`
	Email    Email  `toml:"email"`
}

type Email struct {
	Host     string `toml:"host"`
	Port     int    `toml:"port"`
	Sender   string `toml:"sender"`
	User     string `toml:"user"`
	Password string `toml:"password"`
}

var confPath = flag.String("c", "config.toml", "config file path")

func NewConfig() (config *Config, err error) {
	config = new(Config)
	_, err = toml.DecodeFile(*confPath, config)
	return
}
