package main

import (
	"crypto/tls"
	"fmt"

	"gopkg.in/gomail.v2"
)

func sendEmail(subject string, body string) error {
	m := gomail.NewMessage()
	m.SetHeader("From", fmt.Sprintf("%s <%s>", config.Email.Sender, config.Email.User))
	m.SetHeader("To", config.Receiver)
	m.SetHeader("Subject", subject)
	m.SetBody("text/plain", body)
	d := gomail.NewDialer(config.Email.Host, config.Email.Port, config.Email.User, config.Email.Password)

	d.TLSConfig = &tls.Config{InsecureSkipVerify: true}

	return d.DialAndSend(m)
}

func sendSubscribeEmail(email string) error {
	subject := "User Subscription Request"
	content := `Dear team:
    A user has subscribed to an email, and his/her email address is: %s

Kind regards, 
VertexNetwork Website System
`
	content = fmt.Sprintf(content, email)
	return sendEmail(subject, content)
}

func sendContactEmail(name, email, message string) error {
	subject := "User Contact Us"
	content := `Dear team:
     A user has sent us a message with the following content:
Name: %s
Email: %s
Message: %s

Kind regards, 
VertexNetwork Website System`
	content = fmt.Sprintf(content, name, email, message)
	return sendEmail(subject, content)
}
